<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout android:layout_height="wrap_content"
    android:layout_width="match_parent"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/cvAlertDialog"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardElevation="0dp"
        app:cardBackgroundColor="@android:color/transparent"
        android:layout_marginVertical="10dp"
        android:layout_marginHorizontal="20dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toTopOf="@id/cvAlertDialog"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <TextView
                android:id="@+id/alertTitles"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@android:string/dialog_alert_title"
                android:textSize="18sp"
                android:textStyle="bold"
                android:layout_marginBottom="10dp"
                android:layout_gravity="center"/>

            <TextView
                android:id="@+id/alertBody"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Your username or password wrong"
                android:textSize="18sp"
                android:gravity="center"
                android:layout_gravity="center"/>
        </LinearLayout>

    </com.google.android.material.card.MaterialCardView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@id/cvAlertDialog">

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/cvAlertOnClick"
        app:cardCornerRadius="0dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        android:clickable="true"
        android:focusable="true">

        <View
            android:id="@+id/divider"
            android:layout_marginTop="10dp"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            style="@style/Divider.Horizontal"/>

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/tvTextBtn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Coba Lagi"
            android:textSize="18sp"
            android:textColor="#3949AB"
            android:textFontWeight="600"
            android:paddingVertical="15dp"
            android:gravity="center"/>

    </com.google.android.material.card.MaterialCardView>

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/cvAlertOnClick2"
        app:cardCornerRadius="0dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:clickable="true"
        android:visibility="gone"
        android:focusable="true">

        <View
            android:id="@+id/divider2"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            style="@style/Divider.Horizontal"/>

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/tvTextBtn2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Coba Lagi"
            android:textSize="18sp"
            android:textFontWeight="600"
            android:paddingVertical="15dp"
            android:gravity="center"/>

    </com.google.android.material.card.MaterialCardView>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>